com.buschmais.jqassistant.plugin.junit.impl.schema

## Class Testsuites

- java.lang.Object
- - com.buschmais.jqassistant.plugin.junit.impl.schema.Testsuites

-     public class Testsuites
      extends Object

  Java-Klasse für anonymous complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{}testsuite" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="name" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="time" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="tests" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="failures" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="disabled" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="errors" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `disabled`
    `protected String` | `errors`
    `protected String` | `failures`
    `protected String` | `name`
    `protected String` | `tests`
    `protected List<Testsuite>` | `testsuite`
    `protected String` | `time`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Testsuites()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDisabled()` Ruft den Wert der disabled-Eigenschaft ab.
    `String` | `getErrors()` Ruft den Wert der errors-Eigenschaft ab.
    `String` | `getFailures()` Ruft den Wert der failures-Eigenschaft ab.
    `String` | `getName()` Ruft den Wert der name-Eigenschaft ab.
    `String` | `getTests()` Ruft den Wert der tests-Eigenschaft ab.
    `List<Testsuite>` | `getTestsuite()` Gets the value of the testsuite property.
    `String` | `getTime()` Ruft den Wert der time-Eigenschaft ab.
    `void` | `setDisabled(String value)` Legt den Wert der disabled-Eigenschaft fest.
    `void` | `setErrors(String value)` Legt den Wert der errors-Eigenschaft fest.
    `void` | `setFailures(String value)` Legt den Wert der failures-Eigenschaft fest.
    `void` | `setName(String value)` Legt den Wert der name-Eigenschaft fest.
    `void` | `setTests(String value)` Legt den Wert der tests-Eigenschaft fest.
    `void` | `setTime(String value)` Legt den Wert der time-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### testsuite

          protected List<Testsuite> testsuite

    - #### name

          protected String name

    - #### time

          protected String time

    - #### tests

          protected String tests

    - #### failures

          protected String failures

    - #### disabled

          protected String disabled

    - #### errors

          protected String errors

  - ### Constructor Detail

    - #### Testsuites

          public Testsuites()

  - ### Method Detail

    - #### getTestsuite

          public List<Testsuite> getTestsuite()

      Gets the value of the testsuite property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the testsuite property.

      For example, to add a new item, do as follows:

              getTestsuite().add(newItem);

      Objects of the following type(s) are allowed in the list `Testsuite`

    - #### getName

          public String getName()

      Ruft den Wert der name-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(String value)

      Legt den Wert der name-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### getTime

          public String getTime()

      Ruft den Wert der time-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setTime

          public void setTime(String value)

      Legt den Wert der time-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### getTests

          public String getTests()

      Ruft den Wert der tests-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setTests

          public void setTests(String value)

      Legt den Wert der tests-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### getFailures

          public String getFailures()

      Ruft den Wert der failures-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setFailures

          public void setFailures(String value)

      Legt den Wert der failures-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### getDisabled

          public String getDisabled()

      Ruft den Wert der disabled-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setDisabled

          public void setDisabled(String value)

      Legt den Wert der disabled-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

    - #### getErrors

          public String getErrors()

      Ruft den Wert der errors-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setErrors

          public void setErrors(String value)

      Legt den Wert der errors-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015 buschmais GbR. All rights reserved.